var MarkCompleted = function()
{
	var mark = {};
	var debug = 0;
	
	// Page initialization
	mark.initPage = function()
	{
		Events.addEventHandler('completedDate', 'blur', Wizard.validateDate);

		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnOk', mark.markCompleted);
	}
	
	mark.markCompleted = function()
	{
		var frm = document.forms['options'];
		if (!Wizard.isValid('completedDate'))
		{
			Forms.showNotification('completedDate', frm.completedDate.value == '' ? 'Please specify a date' : 'Not a valid date');
			return;
		}
		var acceptDoNotUse = Doc.element('acceptDoNotUse');
		if (acceptDoNotUse && !acceptDoNotUse.checked)
		{
			Forms.showNotification('acceptDoNotUse', 'Please verify that DoNotUse items should be marked as completed');
			return;
		}
		
		var options = {};
		options.completedDate = frm.completedDate.value;
		
		window.opener.YellowLabel.markAsCompleted(null, options);
		App.closeWindow();
	}


	return mark;
}();

Doc.onLoad(MarkCompleted.initPage);

